 /* merge_dialog.h - Merge utility headers (merging source - result)
 *
 * Copyright (C) 2002 Patrice St-Gelais
 *         patrstg@users.sourceforge.net
 *         www.oricom.ca/patrice.st-gelais
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _MERGE_DIALOG
#define _MERGE_DIALOG 1
#include "globals.h"

typedef struct {
	gint merge_op;
	void (*calc_hf) (gpointer);
	gpointer data;
	GtkWidget *merge_dialog;	// The dialog displayed in the tools window (the frame)
	GtkWidget *main_box;	// The box inside the frame (allowing show / hide)
	GtkWidget *op_toolbar;
	GtkObject *adj_mix;		// % of each image mixed 
					// (-100 = 100% source, 100 = 100 % result)
	gint mix;
	GtkObject *adj_source_offset;	// Luminosity offset, from -100 to 100
	gint source_offset;
	GtkObject *adj_result_offset;
	gint result_offset;
	GtkObject *adj_x_translate;	// "result" geometric translation, from -100 to 100
	GtkObject *adj_y_translate;
	gint x_translate;
	gint y_translate;
	gboolean change;		// TRUE when one of the parameters change
} merge_struct;

merge_struct *merge_struct_new(
	gpointer hfw_adr,
	void (*calc_hf) (gpointer));

GtkWidget *merge_dialog_new(merge_struct *mrg_str, gboolean hide_control,
	GtkWidget *parent_window, gchar *frame_title, 
	gchar *source_title, gchar *result_title, gchar *mix_title);
	
void merge_set_op (merge_struct *mrg_str, gint merge_op);
void merge_set_mix (merge_struct *mrg_str, gint mix);

#endif // _MERGE_DIALOG
